Pinned Enhanced Movie Center (EMC) by Coolman, Betonme, dhwz, Swiss-MAD, and many more

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • New

      linus76 wrote:

      Ich habe gestern ein Update der DM7020 HD auf das neuste Daily Image gemacht. "Newnigms Daily 2019-05-31"

      Seither kommt bei EMC immer folgende Meldung

      no module named urllib3

      Habe EMC schon mehrfach deinstalliert und neu installiert, aber immer der gleiche Fehler.

      PS: Die alte von 2017 läuft. "enigma2-plugin-extensions-enhancedmoviecenter_1.0git20171124-r1_mips32el"
      Ich habe exakt das gleiche Problem auf der 800se. Die Installation aller Pakete und Abhängigkeiten läuft sauber durch, aber beim Start immer die gleiche Fehlermeldung im Log: "no module named urllib3".

      @linus76 Könntest du mir die ältere Version zukommen lassen? Oder kann ich die noch irgendwo auf dem Feed finden? Thx.
    • New

      dhwz wrote:

      Und warum installierst du die urllib3 dann nicht einfach?
      Das war meine erste Idee, bin aber zu "doof" bzw. weiß nicht wie. Ein "pip install urllib3" schlägt fehl, da kein pip installiert ist. Apt-get gibt es auch nicht. Habe immer Angst, überhaupt etwas zu installieren bei dieser alten Box, da der Flash-Speicher so klein ist. Bin aber für jeden Tipp dankbar.

      Anbei ein Log der manuellen Installation, bei dem wie gesagt alles gut aussieht. Vermutlich müsste man lediglich python-urllib3 hinzufügen als Abhängigkeit.

      Shell-Script

      1. root@dm800se:/media/hdd# opkg install enigma2-plugin-extensions-enhancedmoviecenter
      2. Installing enigma2-plugin-extensions-enhancedmoviecenter (1.0git20191010-r1) to flash...
      3. Downloading http://feed.newnigma2.to/weekly/oe2.0/mips32el/enigma2-plugin-extensions-enhancedmoviecenter_1.0git20191010-r1_mips32el.ipk.
      4. Installing python-json (2.7.2-r2.17-dream2-newnigma2_1) to flash...
      5. Downloading http://feed.newnigma2.to/weekly/oe2.0/mips32el/python-json_2.7.2-r2.17-dream2-newnigma2_1_mips32el.ipk.
      6. Installing python-requests (2.11.1-r2) to flash...
      7. Downloading http://feed.newnigma2.to/weekly/oe2.0/mips32el/python-requests_2.11.1-r2_mips32el.ipk.
      8. Configuring python-json.
      9. Configuring python-requests.
      10. Configuring enigma2-plugin-extensions-enhancedmoviecenter.
      11. ***********************************
      12. * Enhanced Movie Center *
      13. * V 3.0.0 *
      14. * by *
      15. * Coolman, Betonme & Swiss-MAD *
      16. ***********************************
      17. Plugin successfully installed!
      Display All

      The post was edited 2 times, last by BillyBlue77 ().

    • New

      Oh ja hast recht das Paket gibts auf dem OE2.0 Feed gar nicht.
      Vermutlich würde auf ein aktuelleres python-requests schon ausreichen.
      Und ja ein python-pip gibts auf dem Feed auch nicht sonst hättest es mit pip aktualisieren können.
      Das ist alles etwas bescheiden da es im OE2.0 halt kaum/keine Updates mehr gibt. Eine Möglichkeit wäre du aktualisierst das Paket händisch.

      Du kannst Pakete von pypi.org nehmen und dann einfach händisch hier platzieren /usr/lib/python2.7/site-packages/
    • New

      weiß nicht ob das klappt, du kannst aber einfach den urllib3 Ordner aus src Ordner im zip nach /usr/lib/python2.7/site-packages/ kopieren das geht, falls schon ein urllib3 ist den vorher mal sichern, nur falls was schief geht.
      Ich denk aber eher dass das requests Paket das problem ist, aber das kannst auf dem gleichen Wege aktualisieren, requests hat seine eigene urllib3 mit drin.
    • New

      Ansonsten hier noch eine alte Version, die auf meinen 7020 problemlos funzt 3.7.3....
      oder noch eine 2. Alternative...
      Files
      Yamp - gepimte Version auch für FHD - aktuelle Version V3.2.2 hier
    • New

      dhwz wrote:

      weiß nicht ob das klappt, du kannst aber einfach den urllib3 Ordner aus src Ordner im zip nach /usr/lib/python2.7/site-packages/ kopieren das geht, falls schon ein urllib3 ist den vorher mal sichern, nur falls was schief geht.
      Ich denk aber eher dass das requests Paket das problem ist, aber das kannst auf dem gleichen Wege aktualisieren, requests hat seine eigene urllib3 mit drin.
      Ich habe sowohl ein neues requests package dort hin kopiert als auch ein urllib3. Leider knallt es dann mit der nächsten Abhängigkeit, die nicht vorhanden ist: "ImportError: No module named email".

      Das Package von @AlfredENeumann funktioniert auf Anhieb (enigma2-plugin-extensions-enhancedmoviecenter_1.0git20151004-r1_mips32el.ipk). Vielen Dank!